package org.eclipse.jdt.internal.compiler.impl;

package .tmp;

import org.eclipse.jdt.internal.compiler.impl.Constant;

public class FloatConstant extends Constant {
  float value;
  
  public static Constant fromValue(float value) {
    return new org.eclipse.jdt.internal.compiler.impl.FloatConstant(value);
  }
  
  private FloatConstant(float value) {
    this.value = value;
  }
  
  public byte byteValue() {
    return (byte)(int)this.value;
  }
  
  public char charValue() {
    return (char)(int)this.value;
  }
  
  public double doubleValue() {
    return this.value;
  }
  
  public float floatValue() {
    return this.value;
  }
  
  public int intValue() {
    return (int)this.value;
  }
  
  public long longValue() {
    return (long)this.value;
  }
  
  public short shortValue() {
    return (short)(int)this.value;
  }
  
  public String stringValue() {
    return String.valueOf(this.value);
  }
  
  public String toString() {
    return "(float)" + this.value;
  }
  
  public int typeID() {
    return 9;
  }
  
  public int hashCode() {
    return Float.floatToIntBits(this.value);
  }
  
  public boolean equals(Object obj) {
    if (this == obj)
      return true; 
    if (obj == null)
      return false; 
    if (getClass() != obj.getClass())
      return false; 
    org.eclipse.jdt.internal.compiler.impl.FloatConstant other = (org.eclipse.jdt.internal.compiler.impl.FloatConstant)obj;
    return (Float.floatToIntBits(this.value) == Float.floatToIntBits(other.value));
  }
}
